Zum Inhalt springen

Attributes

Attributes to segment and filter units by

The attribute object

Attributes

iduuid

Unique identifier

organization_iduuid
organizations.id

Identifier of the organization this attribute is defined in

created_atread-onlytimestamp with time zone

Creation timestamp

nameMultiLanguageString

Localized name of the attribute

orderinteger

Order of the attribute as displayed on widgets and websites

typeAttributeType

Type of the attribute: single-select or multi-select

Related resources

Embed related resources in the response with the select parameter, for example select=*,organizations(*). Resources related through more than one column need the column as a hint, like table!column(*).

organizations(*)object | null
organizations

The organization referenced by organization_id.

attribute_options(*)array
attribute_options

The attribute options referencing this attribute through attribute_options.attribute_id.

The attribute object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T22:27:57.861Z",
  "name": {},
  "order": 1,
  "type": "single-select"
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/attributes?limit=10&select=*,organizations(*),attribute_options(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List attributes

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this attribute is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

nameFilter<MultiLanguageString>

Localized name of the attribute

orderFilter<integer>

Order of the attribute as displayed on widgets and websites

typeFilter<AttributeType>

Type of the attribute: single-select or multi-select

Responses

200

A list of attributes with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /attributes
curl -X GET "https://api.bookingmood.com/v1/attributes?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.861Z",
    "name": {},
    "order": 1,
    "type": "single-select"
  }
]

Create attributes

Body

Partial<Attribute> | Array<Partial<Attribute>>

Read-only attributes are set by the database and can't be written.

Responses

201

The newly created attributes with the selected columns

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
POST /attributes
curl -X POST "https://api.bookingmood.com/v1/attributes" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": {},
    "order": 1,
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "type": "single-select"
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.861Z",
    "name": {},
    "order": 1,
    "type": "single-select"
  }
]

Delete attributes

Filters

Without filters, this request deletes all attributes you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this attribute is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

nameFilter<MultiLanguageString>

Localized name of the attribute

orderFilter<integer>

Order of the attribute as displayed on widgets and websites

typeFilter<AttributeType>

Type of the attribute: single-select or multi-select

Responses

200

The deleted attributes with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
DELETE /attributes
curl -X DELETE "https://api.bookingmood.com/v1/attributes?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.861Z",
    "name": {},
    "order": 1,
    "type": "single-select"
  }
]

Update attributes

Filters

Without filters, this request updates all attributes you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this attribute is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

nameFilter<MultiLanguageString>

Localized name of the attribute

orderFilter<integer>

Order of the attribute as displayed on widgets and websites

typeFilter<AttributeType>

Type of the attribute: single-select or multi-select

Body

Partial<Attribute>

Read-only attributes are set by the database and can't be written.

Responses

200

The updated attributes with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
PATCH /attributes
curl -X PATCH "https://api.bookingmood.com/v1/attributes?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": {}
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.861Z",
    "name": {},
    "order": 1,
    "type": "single-select"
  }
]

Übernehmen Sie die Kontrolle über Ihre Buchungen. Bauen Sie Ihr eigenes Unternehmen auf.

Schließen Sie sich den über 1200 unabhängigen Anbietern von Ferienunterkünften an, die Bookingmood nutzen, um ihre Direktbuchungen zu steigern und engere Beziehungen zu ihren Gästen aufzubauen.

Starten Sie Ihren kostenlosen 14-Tage-Test